import { styled, ColorUtils } from '@nuskin/foundation-theme';
import { NsInputField } from '../input';
import { Popper, autocompleteClasses } from '@mui/material';
const { getGenomeColor } = ColorUtils;

export const StyledTextField = styled(NsInputField)`
    .MuiAutocomplete-inputRoot {
        padding-right: 10px !important;
    }
    .styled-text-field.MuiOutlinedInput-root input#custom_autocomplete_dropdown::placeholder {
        opacity: 1;
        color: ${({ theme }) => getGenomeColor(theme, 'N100', 'light')};
    }
`;

export const StyledPopper = styled(Popper)({
    [`& .${autocompleteClasses.listbox}`]: {
        boxSizing: 'border-box',
        '& ul': {
            padding: 0,
            margin: 0,
        },
    },
});