import { ReactElement } from 'react';

import { styled } from '@nuskin/foundation-theme';

const StyledLine = styled.div`
    position: fixed;
    top: 0px;
    left: 0;
    width: 100%;
    height: 2px;
    background: #fff;
    z-index: 99999;
    overflow: hidden;
    .dot {
        position: absolute;
        height: 100%;
        width: 150px;
        background: #f00;
        animation: dotleft 1s cubic-bezier(0.72, 0.03, 0.75, 0.54) infinite;
    }
    @keyframes dotleft {
        0% {
            left: 0%;
            width: 150px;
        }
        100% {
            left: 100%;
            width: 900px;
        }
    }
`;
export const LineLoader = ({ show }: { show: boolean }): ReactElement => {
    return (
        <StyledLine className={`${show ? '' : 'hidden '} line`}>
            <div className="dot">&npsp;</div>
        </StyledLine>
    );
};
