import { ReactElement } from 'react';

import { AutocompleteRenderGroupParams } from '@mui/material';
import { styled } from '@nuskin/foundation-theme';

import { OptionsProps } from '../../autocomplete';
import { NsTypography } from '../../typography';

const GroupNameTypography = styled(NsTypography)`
    margin: 4px 8px;
`;
export const renderGroupName = ({ key, group, children }: AutocompleteRenderGroupParams): ReactElement => (
    <li key={key}>
        {group ? (
            <GroupNameTypography variant="body-m" weight="bold" className="p-0 m-0 border-solid">
                {group}
            </GroupNameTypography>
        ) : null}
        <ul className="p-0">{children}</ul>
    </li>
);

export const renderOptionLabel = (option: string | OptionsProps): string =>
    typeof option === 'string' ? option : option?.value ?? '';

export const renderGroupBy = (option: OptionsProps) => (option?.group ?? '') as string;
