import React from 'react';
import { render } from '@testing-library/react';
import { NsBanner } from '@/common/';
import { ImageData1 } from '../card/fixtures/ImageData1';

describe('Hero component', () => {
    const childText = 'Welcome to My Website';
    it('1. renders banner image and title', () => {
        const { getByAltText, getByText } = render(
            <NsBanner image={ImageData1}>
                <h1>{childText}</h1>
            </NsBanner>
        );
        const childElement = getByText(childText);
        const imageElement = getByAltText(ImageData1.selected?.altText || '');
        expect(childElement).toBeInTheDocument();
        expect(imageElement).toBeInTheDocument();
    });
    it('2. renders banner image and title without altText', () => {
        const { getByAltText } = render(
            <NsBanner image={ImageData1}>
                <h1>{childText}</h1>
            </NsBanner>
        );
        const imageElement = getByAltText(ImageData1.selected?.altText || '');
        expect(imageElement).toBeInTheDocument();
    });
});
