import { PropsWithChildren, ReactElement } from 'react';

import Box from '@mui/material/Box';
import { styled } from '@nuskin/foundation-theme';

const Wrapper = styled(Box)`
    background-color: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    z-index: 100;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    &:hover {
        background-color: rgba(0, 0, 0, 0);
        & img {
            visibility: hidden;
        }
    }
`;

export default function NsBrandWrapper({ children }: PropsWithChildren): ReactElement {
    return <Wrapper className="logo-wrapper">{children}</Wrapper>;
}
