import React from 'react';
import { render, screen } from '@testing-library/react';
import NsPost from '../NsPost';
import { ImageData1 } from '../fixtures/ImageData1';

describe('NsPost component', () => {
    const props = {
        text: '38 New Beauty Products Our Editors Are Loving',
        body: 'SPA & BEAUTY TODAY',
        backgroundImageDetail: ImageData1,
    };

    it('1. renders with correct content and styles', () => {
        render(<NsPost {...props} />);

        const postContainer = screen.getByTestId('post-card');
        expect(postContainer).toBeInTheDocument();

        const textElement = screen.getByText('38 New Beauty Products Our Editors Are Loving');
        expect(textElement).toBeInTheDocument();

        const bodyElement = screen.getByText('SPA & BEAUTY TODAY');
        expect(bodyElement).toBeInTheDocument();

        const imageElement = screen.getByAltText(ImageData1?.selected?.altText || '');
        expect(imageElement).toBeInTheDocument();
    });
});
