import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsBrandCard } from '../';

type ComponentType = typeof NsBrandCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsBrandCard,
    title: 'Components/Containers/Card/NsBrandCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

export const Default: Story = {
    args: {
        title: 'ageLOC LumiSpa',
        backgroundImageUrl: 'https://media.nuskin.com/m/3604b5202b0b64c6/webimage-brand-lumispa-optweb.png',
        brandImageUrl: 'https://media.nuskin.com/m/2571a0407433a6e8/webimage-brand-lumispa.png',
        size: 'large',
        button: {
            showButton: true,
            buttonText: 'Add to cart',
            buttonVariant: 'outlined',
            buttonColor: 'primary',
            endIcon: 'cart',
            url: '#',
            fullWidth: true,
        },
    },
};
