import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsLargeCard } from '../';
import { ImageData1 } from '../fixtures/ImageData1';

type ComponentType = typeof NsLargeCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsLargeCard,
    title: 'Components/Containers/Card/NsLargeCard',
    decorators: [withCenterDecorator],
} as MetaStory;

export const Default: Story = {
    args: {
        isHorizontal: false,
        title: 'Personal Care',
        subtitle: 'Subtitle',
        intro: 'Nu Skin® product lines combine nature and science for skincare benefits you can see and feel.',
        backgroundImageDetail: ImageData1,
        button: {
            showButton: true,
            buttonText: 'REVEAL YOUR BEST SKIN',
            buttonVariant: 'outlined',
            buttonColor: 'primary',
            url: 'https://www.forceforgood.org/',
            endIcon: 'cart',
        },
    },
};
