import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { Meta, StoryObj } from '@storybook/react';

import { NsMediumCard } from '../';
import { ImageData1 } from '../fixtures/ImageData1';

type ComponentType = typeof NsMediumCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsMediumCard,
    title: 'Components/Containers/Card/NsMediumCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

export const Default: Story = {
    args: {
        title: 'Sustainability',
        titleFontWeight: 'bold',
        subtitle:
            'We’re committed to keeping our global communities clean, safe, and protected for the future. We’re proud to embrace sustainable practices today for a resource-rich tomorrow.',
        backgroundImageDetail: ImageData1,
        button: {
            showButton: true,
            buttonText: 'SEE WHAT WE’RE DOING',
            buttonVariant: 'outlined',
            buttonColor: 'primary',
            url: 'https://www.forceforgood.org/',
        },
        fluid: false,
    },
};
