import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsSmallFullCard } from '../';
import { ImageData1 } from '../fixtures/ImageData1';

type ComponentType = typeof NsSmallFullCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsSmallFullCard,
    title: 'Components/Containers/Card/NsSmallFullCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

export const Default: Story = {
    args: {
        title: 'Title',
        subtitle: 'Subtitle',
        backgroundImageDetail: ImageData1,
        button: {
            showButton: true,
            buttonText: 'Placeholder',
            buttonVariant: 'contained',
            buttonColor: 'primary',
            url: '#',
            fullWidth: true,
        },
    },
};
