import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { Meta, StoryObj } from '@storybook/react';

import { NsXLargeCard } from '../';
import { ImageData1 } from '../fixtures/ImageData1';

type ComponentType = typeof NsXLargeCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsXLargeCard,
    title: 'Components/Containers/Card/NsXLargeCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

export const Default: Story = {
    args: {
        title: 'Title',
        subtitle: 'Subtitle',
        backgroundImageDetail: ImageData1,
        button: {
            showButton: true,
            buttonText: 'Discover more',
            buttonVariant: 'outlined',
            buttonColor: 'secondary',
            url: '#',
            endIcon: 'home',
        },
    },
};
