import { ReactElement } from 'react';

import { NsCarousal } from '@/common/';
import type { Meta, StoryObj } from '@storybook/react';

import { brandEntries } from '../../card/stories/data';
import { RenderBrand } from '../RenderBrand';
import settings from '../slickSetting';

type ComponentType = typeof NsCarousal;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Containers/NsCarousal/Brand',
    component: NsCarousal,
    argTypes: {},
    decorators: [
        (Story): ReactElement => (
            <div style={{ width: 800 }}>
                <Story />
            </div>
        ),
    ],
} as MetaStory;

export const Default: Story = {
    args: {
        entries: brandEntries,
        renderEntry: RenderBrand,
        allEntryLink: '',
        settings: settings,
    },
};
