import { ReactElement } from 'react';

import { NsScrollingCarousal, NsTextStrip } from '@/common/';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { Meta, StoryObj } from '@storybook/react';

type ComponentType = typeof NsScrollingCarousal;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

const renderSlide = (slide: any, i: number): ReactElement => <NsTextStrip key={i} {...slide} />;

const slides = [
    {
        description: 'Download the app to access everything Nike',
        link: { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'Hello Nike App' },
        alignment: 'center',
    },
    {
        description: '',
        link: {
            href: 'https://www.nike.com/in/help/a/shipping-delivery-gs',
            title: 'Shop All Our New Markdowns, New Styles on Sale: Up to 40% Off (empty description)',
        },
        alignment: 'center',
    },
    {
        // description: 'Applies to orders of ₹ 14 000.00 or more. ',
        link: { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'Free Delivery' },
        alignment: 'center',
    },
    {
        description:
            'Download the app to access everything Nike Download the app to access everything Nike Download the app to access everything Nike Download the app to access everything Nike',
        link: {
            href: 'https://www.nike.com/in/help/a/shipping-delivery-gs',
            title: ' Hello Nike AppHello Nike App Hello Nike App Hello Nike App',
        },
        alignment: 'center',
    },
    {
        description: '',
        link: {
            href: 'https://www.nike.com/in/help/a/shipping-delivery-gs',
            title: 'Shop All Our New Markdowns, New Styles on Sale: Up to 40% Off (empty description)',
        },
        alignment: 'center',
    },
    {
        link: { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'Free Delivery' },
        alignment: 'center',
    },
    {
        description: 'Empty href Empty href Empty href Empty href Empty href Empty href Empty href Empty href',
        link: { href: '', title: '' },
        alignment: 'center',
    },
];
export default {
    title: 'Components/Containers/NsCarousal/NsScrollingCarousal',
    component: NsScrollingCarousal,
    decorators: [withCenterDecorator],
    argTypes: {},
    args: {
        slides,
        renderSlide,
        stillSeconds: 6,
        scrollSeconds: 4,
        additionalProps: {
            testid: 'scrolling-carousal',
        },
    },
    render: (args): ReactElement => (
        <div style={{ width: '90vw' }}>
            <NsScrollingCarousal {...args} />
        </div>
    ),
} as MetaStory;

export const ScrollingText: Story = {};
