import { ReactNode } from 'react';
import { AdditionalProps } from '../common.types';

export type NsCarousalProps<T = any> = {
    entries: T[];
    // eslint-disable-next-line no-unused-vars
    renderEntry(entry: T, index: number): ReactNode;
    allEntryLink: string;
    settings: any;
};

export type NsScrollingCarousalProps<T = any> = {
    slides: T;
    // eslint-disable-next-line no-unused-vars
    renderSlide(slide: T, index: number): ReactNode;
    /* time it takes while scrolling */
    scrollSeconds: number;
    /* time for which slide stays still before scrolling */
    stillSeconds: number;
    settings: any;
    /* value in number, specifying how much the dots should be from bottom of slides container */
    dotsBottomPixel?: number;
} & AdditionalProps;
