import { ReactElement } from 'react';

import { IconButton } from '@mui/material';

import { NsIcon } from '../icon';
import { StyledBadge } from './NsCartIcon.styled';
import { NsCartIconProps } from './types.d';

const NsCartIcon = ({
    itemCount = 0,
    size = 'large',
    color = 'primary',
    maxItemCount = 999,
}: NsCartIconProps): ReactElement => {
    return (
        <IconButton aria-label="cart">
            <StyledBadge badgeContent={itemCount} max={maxItemCount} bgcolor={color} showZero>
                <NsIcon testId="cart-badge-icon" name="cart" size={size} color={color} />
            </StyledBadge>
        </IconButton>
    );
};

export default NsCartIcon;
