import { ReactElement, useMemo } from 'react';

import { StyledGrid } from './styled/StyledGrid';
import { NsGridColumnsProps } from './types';
import { getColumnSizes } from './utils';

const NsGridColumns = ({
    columnClass,
    children,
    gap,
    isFullWidth,
    additionalProps,
}: NsGridColumnsProps): ReactElement => {
    const sizes = useMemo(() => {
        return getColumnSizes(columnClass ?? 'ns-col-lg-1-1');
    }, [columnClass]);
    return (
        <StyledGrid
            isFullWidth={isFullWidth || false}
            gap={gap}
            sizes={sizes}
            className="ns-grid-columns"
            data-testid={additionalProps?.testid ?? 'ns-grid-columns'}
        >
            {children}
        </StyledGrid>
    );
};
export default NsGridColumns;
