import { render, screen } from '../../../../test-utils';
import { NsFlexColumns } from '@/common/index';
import { DivArray } from '../stories/DivArray';

describe('NsFlexColumns component', () => {
    it('renders an column with proper grid value for tablet', () => {
        render(
            <NsFlexColumns columnClass="ns-col-lg-1-1-1" gap={16}>
                <DivArray elementsCount={4} />
            </NsFlexColumns>
        );
        const element = screen.getByTestId('ns-flex-columns');
        expect(element).toBeInTheDocument();
    });
    it('renders an column with proper grid value', () => {
        console.warn = jest.fn();
        render(
            <NsFlexColumns columnClass="" gap={16}>
                <DivArray elementsCount={4} />
            </NsFlexColumns>
        );
        expect(console.warn).toHaveBeenCalledWith(expect.stringContaining('Received invalid className'));
    });
});
