const mobileBreakPoint = '600px';

export const commonStyles = {
    margin: '32px auto',

    [`@media (max-width: ${mobileBreakPoint})`]: {
        display: 'flex',
        flexDirection: 'column',
        flexWrap: 'wrap',
        margin: '2rem 1rem',
        '> * ': {
            flex: '1 1 0 !important',
        },
    },
};
/*
   we have kept extra margin by taking 80% instead of 100%, because margins and padding,
   and gaps also take up space, so we should be left with appropriate space
   example:
   ['1','1'] => ['40%','40%']
   ['1','2'] => ['27%','53%']
 */
export function getPercentArray(fractionArray?: string[] | number[]): string[] {
    const numbers = fractionArray?.map((numberString) => +numberString)?.filter((num) => 0 < num && num < 10) ?? [];
    const sum = numbers.reduce((currentSum, currentNumber) => currentSum + currentNumber, 0);
    return numbers.map((currentNumber) => ((currentNumber / sum) * 80).toFixed(2) + '%');
}
