import { styled } from '@nuskin/foundation-theme';

import {
    NsIconProps,
    NsIconSizeType,
} from './types.d';

export const iconSize: Record<NsIconSizeType, string> = {
    small: '16px',
    medium: '20px',
    large: '24px',
    xLarge: '30px',
};
type IconWrapperType = { size: NsIconSizeType; cursor: NsIconProps['cursor'] };

export const IconWrapper = styled('span')<IconWrapperType>(({ size, cursor }) => {
    return {
        display: 'flex',
        placeContent: 'center',
        placeItems: 'center',
        cursor,
        svg: {
            width: iconSize[size],
            height: iconSize[size],
        },
    };
});
