import { ReactElement } from 'react';

import {
    SvgIcon,
    SvgIconProps,
} from '@mui/material';

export const ChevronRight = (props: SvgIconProps):ReactElement => {
    return (
        <SvgIcon
            {...props}
            data-testid="chevronRight"
            viewBox="0 0 18 18"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <g id="arrow-right">
                <path
                    id="icon"
                    fillRule="evenodd"
                    clipRule="evenodd"
                    // eslint-disable-next-line max-len
                    d="M12.1553 8.46967C12.4482 8.76256 12.4482 9.23744 12.1553 9.53033L6.90533 14.7803C6.61244 15.0732 6.13756 15.0732 5.84467 14.7803C5.55178 14.4874 5.55178 14.0126 5.84467 13.7197L10.5643 9L5.84467 4.28033C5.55178 3.98744 5.55178 3.51256 5.84467 3.21967C6.13756 2.92678 6.61244 2.92678 6.90533 3.21967L12.1553 8.46967Z"
                    fill={props.color}
                />
            </g>
        </SvgIcon>
    );
};

export default ChevronRight;
