import { ReactElement } from 'react';

/* eslint-disable max-len */
import SvgIcon, { SvgIconProps } from '@mui/material/SvgIcon';

/**
 *
 * @param props {fill: color to be filled for icon, color: color of the tick icon}
 */
const UserIcon = (props: SvgIconProps): ReactElement => {
    return (
        <SvgIcon
            viewBox="0 0 24 24"
            data-testid="userIcon"
            xmlns="http://www.w3.org/2000/svg"
            {...props}
            fill="transparent"
        >
            <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M12 23C18.0751 23 23 18.0751 23 12C23 5.92487 18.0751 1 12 1C5.92487 1 1 5.92487 1 12C1 18.0751 5.92487 23 12 23Z"
                stroke={props.color}
                strokeWidth="2"
            />
            <path
                d="M19 20C18.9425 19.3229 19 17.5669 17.3793 17.2226C14.7126 16.6144 13.931 16.4078 14.1034 14.2272C15.8046 13.0796 15.7816 11.0252 15.7471 8.74139C15.7471 6.67508 14.0695 5 12 5C9.93052 5 8.25287 6.67508 8.25287 8.74139C8.25287 11.0367 8.25287 13.137 9.89655 14.2272C10.0575 16.4078 9.28736 16.6144 6.62069 17.2226C5 17.5669 5.05747 19.3229 5 20"
                stroke={props.color}
                fill={props.color}
                strokeWidth="2"
                strokeLinecap="round"
            />
        </SvgIcon>
    );
};

export default UserIcon;
