import { Stack } from '@mui/material';
import { styled, ColorUtils } from '@nuskin/foundation-theme';
const { color, paletteColor } = ColorUtils;

const InputFieldWrapper = styled(Stack)(({ theme }: any) => {
    return {
        display: 'flex',
        flexDirection: 'column' as 'column',
        gap: '7px',
        '.MuiFormHelperText-root': {
            fontSize: '11px',
            marginTop: 0,
            color: paletteColor('primary', 'main')({ theme }),
            '&.success': {
                color: color('success', '40')({ theme }),
            },
            '&.error': {
                color: paletteColor('error', 'main')({ theme }),
            },
        },
    };
});

export default InputFieldWrapper;
