import { TextFieldProps } from '@mui/material';
import { ReactNode } from 'react';
import { AdditionalProps } from '../common.types';

// TODO: check if fieldStateType could be converted to enum, since we also have to account for undefined
export type fieldStateType = undefined | 'error' | 'success';
export type NsInputFieldProps = Omit<
    TextFieldProps,
    | 'sx'
    | 'hiddenLabel'
    | 'style'
    | 'classes'
    | 'className'
    | 'color'
    | 'error'
    | 'margin'
    | 'size'
    | 'variant'
    | 'select'
    | 'SelectProps'
> & {
    /**
     * has default undefined value, and we can update the value to success
     * on successful validation and update value to 'error' in case of error
     */

    fieldState?: fieldStateType;
    iconStart?: ReactNode;
    /**
     * assign react component for end icon
     */
    iconEnd?: ReactNode;
    /**
     * assign react component for side icon
     */

    iconSide?: ReactNode;
    /** purpose of showOptional props is to show additional text 'optional' in the label,
     *  if required = false and this flag is true */
    showOptional?: boolean;
    defaultValue?: string;
    rows?: number;
    id?: string;
    labelSize?: number;
} & AdditionalProps;
