import React, { ReactElement } from 'react';

import { NsTypography } from '../';
import { BynderMedia } from '../image/BynderMedia';
import { ProductCardContainer } from './NsNavProductCard.styled';
import { NsNavProductCardProps } from './types.d';

export const NsNavProductCard = ({
    productImg,
    productDescription,
    productName,
    className = '',
}: NsNavProductCardProps): ReactElement => {
    return (
        <ProductCardContainer className={className}>
            <BynderMedia imageDetail={productImg} />
            <div className="text-container">
                <NsTypography variant="h5" color="primary" className="mt-11 mb-3.5 underline-hover" weight="bold">
                    {productName}
                </NsTypography>
                <NsTypography variant="body-s" color="primary" weight="light">
                    {productDescription}
                </NsTypography>
            </div>
        </ProductCardContainer>
    );
};
